Subject: Re: cron does not do anything
From: "Pierre A. Humblet" <[email-masked]>
To: "Ting Zhou" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 22 Apr 2009 09:13:24 -0400
List-Id: <cygwin.cygwin.com>

----- Original Message ----- 
From: "Ting Zhou" <>
Sent: Tuesday, April 21, 2009 6:20 PM

Right on, Pierre! Thanks a lot for the clue. Finally I figured it out. There were two problems.

The first problem, yes, I was a bit impatient and should've waited one more minute. It seems 
crontab change does take more than one minute to be effective. Once I changed it to "* * * * *", 
I saw an error message in /var/log/messages saying "(CRON) error (can't cd to HOME)", which is 
the second problem. For the record, my cygwin auto-generated /etc/passwd shows my home dir to be 
"/cygdrive/h", which is an NT mounted share - not sure why is it set to that and why cron 
couldn't cd to it. Anyway, I changed it to "/home/tzhou" and viola, the cron is working.

**************
To be able to use /cygdrive/h try running cron as yourself.
That's an option in cron-config

Pierre 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/